/*
AUTORE: Manuel Vichi
Numeri esagonali centrati
*/
#include <iostream>
#define EC(n) 1+3*(n)*((n)-1)
using namespace std;
int main(void) {
	int n;
	cout << "Inserisci un numero: ";
    	cin >> n;
	cout << endl;
    	bool esagonalecentrato = false;
    	for(int k = 1; k <= 10 and n >= EC(k); ++k) {
        	if(n == EC(k)){
	        	esagonalecentrato = true;
	       		break;
        	}
	}
	if (esagonalecentrato)
    	{
        	cout << "Il numero " << n << " e' esagonale centrato" << endl;
    	} else {
        	cout << "Il numero " << n << " non e' esagonale centrato" << endl;
    	}

	return 0;
}
